CKEDITOR.plugins.add( 'flash1',
{
	init: function( editor )
	{
		editor.addCommand( 'flash1Command', new CKEDITOR.dialogCommand( 'flash1Dialog' ) );
		editor.ui.addButton( 'flash1',
			{
				label: 'لإدراج فلاش شفاف يتم عرضه مباشرة في الموضوع بطريقة عادية',
				command: 'flash1Command',
				icon: this.path + 'flash1.gif'
			}
		);
		// dialog
		CKEDITOR.dialog.add( 'flash1Dialog', function( editor )
		{
			return {
				title : 'فلاش شفاف يتم عرضه مباشرة في الموضوع',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'flash1',
						label : 'flash1',
						elements :
						[
							{
								type : 'html',
								html : '<center>ادخل رابط ملف فلاش يتم عرضة بشكل عادى شفاف - قم بتحديد عرض و ارتفاع صندوق عرض الملف</center>'
							},
							{
								type : 'text',
								id : 'url',
								label : 'الرابط',
				     				validate: CKEDITOR.dialog.validate.regex(/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/, 'برجاء ادخال رابط صحيح'),
								required : true,
								commit : function( me )
								{
									me.url = this.getValue();
								}
							},
							{
								type : 'text',
								id : 'width',
								label : 'العرض - بكسل',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								default : '400',
								required : true,
								commit : function( me )
								{
									me.width = this.getValue();
								}
							},
							{
								type : 'text',
								id : 'height',
								label : 'الارتفاع -بكسل',
								validate : CKEDITOR.dialog.validate.notEmpty('لا يمكننى الموافقة على حقل فارغ'),
								default : '350',
								required : true,
								commit : function( me )
								{
									me.height = this.getValue();
								}
							}
						]
					}
				],
				onOk : function()
				{
					me = {},
					this.commitContent( me );
					editor.insertHtml('[flash1= '+ me.url + ']WIDTH=' + me.width + ' HEIGHT=' + me.height + '[/flash1]');
				}
			};
		});
	}
});